"""
加载驱动工具类
"""
import yaml
from selenium import webdriver
class DriverUtils:
    __driver = None
        
        
    # 初始化web
    @classmethod
    def get_web_driver(cls):
        if cls.__driver is None:
            cls.__driver = webdriver.Chrome()
            cls.__driver.maximize_window()
            cls.__driver.implicitly_wait(10)
        return cls.__driver

    @classmethod
    def read_yaml(cls, file_path):
        """
        读取 YAML 文件并返回其内容
        :param file_path: YAML 文件路径
        :return: YAML 文件内容
        """
        with open(file_path, encoding="utf-8") as f:
            data = yaml.safe_load(f)
        return data



